function MessageFromMenu(nCount,Param1)
-- if Param1==2000029 then
	-- CreateWindow(200,200,"2",100,"messageinfo")  
-- return;end;
showoptons(0);
return;end;

function mini_create ()
	show_help_wnd=true;
	init_mini(1);
	create_mini(19,12,30,479,100,871,553,1001,3,8,0,1000);
end;
--function mini_msg_proc (id)
function gameinput (sender,id,attachedID)


	if sender==16 then
		if not help then
			help=true;
			CreateWindow(200,200,"2",100,"messageinfo")
		end;	
	    BlockCursor(false);
	return;end;
	if sender==30 then
	setcurentleaf("killer",14,1);
	DarkScreen(false);
		if flags.minicomplete1 then
			Set_Cursor(67,3)
			StopEmiter("OpenBox");
			if flags.newspaper and flags.all then
			    flags.loc2 = true;
	--			flags.minitext1=true	
			return;end;
	return;end	
	return; end;
	
	-- if sender==36 then
	-- return;end;
	if sender==37 then
	   skipping=true;
	return;end;	
	if sender==10 then
		flags.minicomplete1=true;
		playeffect("miniC");
	--	StartTimer(2100,5)
		--BlockCursor(true);
	--	clear_satelite_leaf("killer");
	return; end;
	
	if pause_state then
		if sender==1 or sender==6 or sender==14 then
			pause_state=false;
			set_visible_object(11111,false);
		end;	
	return;end;		
	if sender==1 then	
		if flags.minicomplete1 then
		BlockCursor(false);
		clear_satelite_leaf("killer");
		
		return;end;
		if id==6000 then
			   CreateWindow(200,200,"2",100,"messageinfo")
		return;end;		
		if id==5000 and skipping then
			if not flags.minicomplete1 then
				playeffect("skip");
				SkipMini();
			return;end;
		return;end;
		
		if id==1021 then
			playeffect("close");
		    clear_satelite_leaf("killer");
			finish_mini_game(false);
			DeleteResource("bm_parts");
			DeleteResource("bm_bg");
			DeleteResource("bm_btn");			
		return;end;
	if not flags.minicomplete1 then	
		if id>=1001 and id<=1012 then --нажимаем на часть телеграммы
			add_to_mouse(id);
			mousepresed=true;
			objectid=id;
		return 0; end	
	return; end;  	
	return; end;  	

	if sender == 6 --Отпустили левую кнопку мышки
	then		
		if flags.minicomplete1 then
		BlockCursor(false);
		clear_satelite_leaf("killer");
		
		return;end;
		if mousepresed==true
		then
			playeffect("pclick");
			RemoveFromMouse(objectid);
			check_mini_game_puzzle(objectid);
			mousepresed=false;
			objectid=0;
		end
	return; end;	
end;
function mini_delete ()

end;